//
//    Flssigkristallanzeige  W320x240B

//                 MSP430F1611
//              -----------------
//              |              XIN|- 32,768kHz
//            | |                 |
//   Taster rot--|RST (58)    XOUT|- 32,768kHz
//                            P2.3|LED rot
//              |             P2.2|LED Grn
// 8  Mhz X2IN- |             P2.1|Taster fr lschen
//              |             P2.0|Taster fr Start
//8  MHz X2OUT- |       P1.0..P1.7|Daten FKA DB0...DB7
//              |                 |
//              |             P3.0| CS SPI                        (28)
//       UTXD0  |P3.4         P3.1|-> Daten Ausgang               (29)
//       URXD0  |P3.5         P3.2|<- Data In  (SOMI0)            (30)
//       UTXD1  |P3.6         P3.3|-> Serial Clock Out (UCLK)     (31)
//       URXD1  |P3.7
//
//(35) SM CE\   |P5.6    P4.0-P4.7| Daten SM karte     (36)..(43)
//(44)    WE\   |P5.0         P2.7| CS  8345
//        ALE   |P5.1         P2.6| Busy                          
//        CLE   |P5.2         P2.4| CS SPI Gert 3      Platz 3   
//        RE\   |P5.3         P2.5| CS SPI Gert 4      Platz 4
//(48)    R/B\  |P5.4         P6.7| Akkuspannung vorbereitet      
//                                                                |     ( 2)| +5V
//                            P6.6| Steuerung FKA CS   ---------  |CS(15)         
//              |P5.7         P6.5| Steuerung FKA Ao   ---------  |A0(4)    |
//                            P6.4| Steuerung FKA WR   ---------  |WR(5)    |
//                                                        +5V --- |RD (6)   |
//                                                        +5V --- |RES(16)  |
//                                                                       (3)| Kontrast ca. +1,8V gegen Masse
//                                                                       (1)| Masse
//                                                                             
//                                                               FKA W320/240


void sende_Daten(unsigned char d);
void sende_Steuerbefehl(unsigned char d);
void pause2(void);

void sende_Daten(unsigned char d)// Ao=H=Daten ins Datenregister der FKA schreiben
{
                           //     6.7    6.6   6.5    6.4
                           //             CS    Ao    WR
 
 P6OUT = 0x20;   // 0010 0000  Ao=H, WR=L  L     H      L
 P1OUT=d;                                                 // Daten(d)
 P6OUT = 0x30;   // 0011 0000  Ao=H, WR=H  L     H      H
 pause2();
}

void sende_Steuerbefehl(unsigned char d)// Ao=L=Daten ins Befehlsregister der FKA schreiben
{
                        //          6.7    6.6   6.5    6.4
                        //                  CS    Ao    WR
 P6OUT = 0x00;  //0000 0000  Ao=L , WR=L     L     L     L 
 P1OUT=d;                                                   //Steuerbefehl (d)
 P6OUT = 0x10;  //0001 0000  Ao=L,  WR=H     L     L     H  
 pause2();
}


void FKA_einrichten(void)
                      //     6.7    6.6   6.5    6.4
                      //      x      CS    Ao    WR
{
  
P6DIR = 0x70;        //   0111 0000  6.4 bis 6.6 als Ausgang
P1DIR = 0xFF;        //   P1.0..P1.7 = DB0..DB7
P6OUT = 0x00;        //      x      L     L      L     Grundstellung; 


sende_Steuerbefehl(0x40); //System SET  Initialisiert Gert und Anzeige
sende_Daten(0x38);        //P1
sende_Daten(0x87);        //P2
sende_Daten(0x07);
sende_Daten(0x3F);
sende_Daten(0x49);
sende_Daten(0xF0);        //P6 240 Zeilen
sende_Daten(0x80);
sende_Daten(0x00);

sende_Steuerbefehl(0x59); 
sende_Steuerbefehl(0x53); 
sende_Daten(0x56); 
sende_Steuerbefehl(0x44);


}
