//
//    Flssigkristallanzeige  W320x240B

//                 MSP430F1611
//              -----------------
//              |              XIN|- 32,768kHz
//            | |                 |
//   Taster rot--|RST (58)    XOUT|- 32,768kHz
//                            P2.3|LED rot
//              |             P2.2|LED Grn
// 8  Mhz X2IN- |             P2.1|Taster fr lschen
//              |             P2.0|Taster fr Start
//8  MHz X2OUT- |       P1.0..P1.7|Daten FKA DB0...DB7
//              |                 |
//              |             P3.0| CS SPI                        (28)
//       UTXD0  |P3.4         P3.1|-> Daten Ausgang               (29)
//       URXD0  |P3.5         P3.2|<- Data In  (SOMI0)            (30)
//       UTXD1  |P3.6         P3.3|-> Serial Clock Out (UCLK)     (31)
//       URXD1  |P3.7
//
//(35) SM CE\   |P5.6    P4.0-P4.7| Daten SM karte     (36)..(43)
//(44)    WE\   |P5.0         P2.7| CS  8345
//        ALE   |P5.1         P2.6| Busy                          
//        CLE   |P5.2         P2.4| CS SPI Gert 3      Platz 3   
//        RE\   |P5.3         P2.5| CS SPI Gert 4      Platz 4
//(48)    R/B\  |P5.4         P6.7| Akkuspannung vorbereitet      
//                                                                |     ( 2)| +5V
//                            P6.6| Steuerung FKA CS   ---------  |CS(15)         
//              |P5.7         P6.5| Steuerung FKA Ao   ---------  |A0(4)    |
//                            P6.4| Steuerung FKA WR   ---------  |WR(5)    |
//                                                        +5V --- |RD (6)   |
//                                                        +5V --- |RES(16)  |
//                                                                       (3)| Kontrast ca. +1,8V gegen Masse
//                                                                       (1)| Masse
//                                                                             
//                                                               FKA W320/240

#include <MSP430x16x.h>      // fr MSP430F1611
#include "TS_P07_FKAW320x240.h"



void main(void)
   {
    WDTCTL = WDTPW + WDTHOLD;     // Stop watchdog timer
    P2IE   = BIT0+BIT1;           // an  P2.0 und P2.1 Interruptfreigabe
    P2IES  = BIT0+BIT1;		  // auf H/L Flanke  an P2.0und P2.1 festlegen
    P2DIR  |= 0x0C;               // fr LED   P2.3 + P2.2
    P2OUT &=~ BIT3;               // LED rot   P2.3 EIN
    P2OUT |= BIT2;                // LED grn  P2.2 AUS
      // for(;;);
    _BIS_SR(LPM4_bits + GIE);// LPM4;    // Enter LPM4 w/interrupt  schaltet auf letzte Stromsparstufe - nur mit Taste aufweckbar (gemessen 80A)
      }



void pause2(void)
{
unsigned int i;
for (i=20000;i>0;i--);               // warten
}

#pragma vector=PORT2_VECTOR
__interrupt void Taste (void)
	{
	//if ((P2IFG&BIT0) == BIT0) XT2_starten();	
	if ((P2IFG&BIT1) == BIT1)
        {
        FKA_einrichten();
       // AusgabeFKA2();
        P2OUT ^= BIT2; 
        P2OUT ^= BIT3; 
        P2IFG&=~BIT1;
        }
        }
